<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Биллинг - Перевод средств');
$title->GetHeader();
if ($b == false) {
header('location: /');
die();
}
echo'<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/billing"style="text-decoration:none; color:white;">Биллинг</a> :: Перевод средств</div></div></div>';
if ($b['wmr'] != null) {
if (isset($_POST['ok'])) {
$rur = abs((int)$_POST['rur']);
$user = abs((int)$_POST['user']);
$pass = check($_POST['pass']);
$prim = check($_POST['prim']);
if ($user == $b['id']) {
err('Нельзя себе перевести!');
} elseif (empty($prim)) {
err('Введите примечание!');
} elseif (empty($rur)) {
err('Введите сумму!');
} elseif ($b['rur'] < $rur) {
err('У вас недостаточно средств для перевода!');
} elseif ($rur < 1 OR $rur > 8000) {
err('Ошибка! Сумма не должна быть меньше 1 или больше 8 000 Gears.');
} elseif (empty($pass) OR sha1($pass.'gearnet') != $b['pass']) {
err('Пароль введен не верно!');
} else {
DB::$dbs->query("INSERT INTO `billing_perevod` (`user_id`,`id_user`,`suma`,`type`,`prim`) VALUES (?,?,?,?,?)", [$b['id'],$user,$rur,1,$prim]);
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` - ? WHERE id = ?", [$rur,$b['id']]);
DB::$dbs->query("UPDATE `blogger` SET `rur` = `rur` + ? WHERE id = ?", [$rur,$user]);
$id = DB::$dbs->lastInsertId();
$text = 'Перевод '.$rur.' рyб. для [b]'.user_inf($user, 'nick').'[/b] успешно завершен!';
DB::$dbs->query("INSERT INTO `billing_hist` (`user_id`,`text`,`time`) VALUES (?,?,?)", [$b['id'],$text,time()]);
if ($b['id'] != $user) {
jurnal($user,Nick($b['id']).' перевёл вам [b]'.$rur.' руб.[/b]',6);
}
echo '<div class="alert alert-success"role="alert">Перевод успешно завершен!</div>';
$title->GetMenu();
$title->GetFooter();
die();
}
}
echo'<div class="list-group-item media"> Сейчас на вашем счету: <b>'.round($b['rur'], 2).'</b> WMR.</br>
<img src="/assets/images/wmd.gif" alt="" /><a href="inwm.html">Пополнить</a></div>';
echo'<div class="list-group-item media"><b>Сумма</b><br/><form action="?" method="post"><input class="form-control" name="rur" maxlength="7"/><br />ID юзера: <br/><input type="text" class="form-control" name="user"/><br />Примечание:<br/><textarea class="form-control" rows="3"name="prim"></textarea><br/>Пароль: <br/><input type="password" class="form-control"name="pass"/><br /> <input type="submit" name="ok" class="btn btn-primary" value="Перевести"/></form></div>';
} else err('Заполните WMR кошелек!');
$title->GetMenu();
$title->GetFooter();
?>